LibreOffice LibreOffice 25.8 SDK API Reference

Loading...
Searching...
No Matches
XPaintListener Interface Referencepublished

makes it possible to receive paint events. More...

`import "XPaintListener.idl";`

Inheritance diagram for XPaintListener:

## Public Member Functions
void | windowPaint ([in] com::sun::star::awt::PaintEvent e)
| is invoked when a region of the window became invalid, e.g.
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

makes it possible to receive paint events.

## Member Function Documentation

## ◆ windowPaint()

void windowPaint | ( | [in] com::sun::star::awt::PaintEvent | e | ) |

is invoked when a region of the window became invalid, e.g.

when another window has been moved away.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XPaintListener.idl